Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000269 [Piwigo] warnings minor always 2006.01.22 21:37 2006.02.13 22:18
Reporter lokidor View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.3 Product Version 1.5.2
  Target Version Product Build
Summary 0000269: Une ligne d'avertissement par miniature s'affiche systématiquement concernant la date
Description Pour chaque miniature la ligne suivante s'affiche systématiquement :

"Warning: mktime() expects parameter 5 to be long, string given in /var/www/html/phpwg/include/functions_html.inc.php on line 38"



Steps To Reproduce
Additional Information Après vérification sur mon système, le problème vient de la variable $day qui contient les champs "dd hh:mm:ss" au lieu de "dd", ce qui pose problème à la fonction mktime().

J'ai effectué les modifications jointes sur le fichier functions_html.inc.php pour résoudre le problème.
Tags No tags attached.
browser IE
Database engine and version
PHP version 5.1.0RC1
Web server Apache 2.0.54 / MySQL 4.1.12
Attached Files ? file icon functions_html.inc.php.diff [^] (584 bytes) 2006.01.22 21:37 [Show Content]
? file icon bug_269-2.diff [^] (738 bytes) 2006.01.23 21:33 [Show Content]
? file icon bug_269-3.diff [^] (967 bytes) 2006.01.23 22:23 [Show Content]

- Relationships

-  Notes
(0000584)
plg (manager)
2006.01.23 21:34

Merci pour ta proposition de correction. J'ai eu envie de faire un peu autrement : bug_269-2.diff. Dis moi ce que tu en penses et si ça résout aussi bien ton problème.
(0000585)
plg (manager)
2006.01.23 22:25

Je me suis enflammé... voir bug_269-3.diff, en effet la version 2 du diff buggait avec les date vides (cas des catégories ne contenant aucune photo).

Cela m'a d'ailleurs fait penser que la fonction get_icon était appelée N fois par page et bien souvent avec N fois le même argument... Donc l'idée c'est de faire un cache (en branche de développement).
(0000586)
lokidor (reporter)
2006.01.23 23:44

Merci pour la rapidité de la réponse, ton patch résoud également correctement mon problème et c'est plus propre...
(0000637)
plg (manager)
2006.02.13 22:17

Corrigé en branche 1.5 [Subversion] r1039
Correction reportée en BSF, avec une amélioration de performance [Subversion] r1040

- Issue History
Date Modified Username Field Change
2006.01.22 21:37 lokidor New Issue
2006.01.22 21:37 lokidor File Added: functions_html.inc.php.diff
2006.01.22 21:37 lokidor browser => IE
2006.01.22 21:37 lokidor PHP version => 5.1.0RC1
2006.01.22 21:37 lokidor Web server => Apache 2.0.54 / MySQL 4.1.12
2006.01.23 21:32 plg File Added: bug_266-2.diff
2006.01.23 21:33 plg File Deleted: bug_266-2.diff
2006.01.23 21:33 plg File Added: bug_269-2.diff
2006.01.23 21:34 plg Note Added: 0000584
2006.01.23 21:34 plg Assigned To => plg
2006.01.23 21:34 plg Status new => feedback
2006.01.23 22:23 plg File Added: bug_269-3.diff
2006.01.23 22:25 plg Note Added: 0000585
2006.01.23 23:44 lokidor Note Added: 0000586
2006.02.13 22:17 plg Note Added: 0000637
2006.02.13 22:17 plg Status feedback => closed
2006.02.13 22:18 plg Resolution open => fixed
2006.02.13 22:18 plg Fixed in Version => 1.5.3


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker